Enneo

Ticket

Get next ticket id to work on

POST /ticket/getLatest

POST /ticket/getLatest

Request body

Parameters for getting the next ticket

preferredDirectionenumbodyDefault: earliest

Direction to navigate in the ticket queue Options: earliest, previous, next

ticketIdintegerbody

Current ticket ID (required when preferredDirection is 'previous' or 'next')

filtersobject[]body

An array of objects containing filters

Request Example

{
  "preferredDirection": "earliest",
  "ticketId": 123,
  "filters": [
    {
      "key": "channel",
      "comparator": "in",
      "values": [
        "email"
      ],
      "value": 1609459200,
      "from": 1609459200,
      "to": 1612051200
    }
  ]
}

Responses

200 — Successful operation

Response Example

{
  "earliest": 2,
  "previous": 1,
  "next": 3
}